PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zlauum | ( | PLASMA_enum | uplo,
|  | int | N,
|  | PLASMA_Complex64_t * | A,
|  | int | LDA
| ) |  |

PLASMA_zlauum - Computes the product U * U' or L' * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A.

If UPLO = 'U' or 'u' then the upper triangle of the result is stored, overwriting the factor U in A. If UPLO = 'L' or 'l' then the lower triangle of the result is stored, overwriting the factor L in A.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | N | The order of the triangular factor U or L. N >= 0.
  [in,out] | A | On entry, the triangular factor U or L. On exit, if UPLO = 'U', the upper triangle of A is overwritten with the upper triangle of the product U * U'; if UPLO = 'L', the lower triangle of A is overwritten with the lower triangle of the product L' * L.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zlauum_Tile
  PLASMA_zlauum_Tile_Async
  PLASMA_clauum
  PLASMA_dlauum
  PLASMA_slauum
  PLASMA_zpotri